Bug 178737 - [update]: databases/tarantool up to 1.4.9
Summary: [update]: databases/tarantool up to 1.4.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-18 12:30 UTC by Veniamin
Modified: 2013-07-10 09:20 UTC (History)
0 users

See Also:


Attachments
file.diff (4.13 KB, patch)
2013-05-18 12:30 UTC, Veniamin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Veniamin 2013-05-18 12:30:00 UTC
Upgraded to latest version
Comment 1 dfilter service freebsd_committer 2013-05-19 14:27:03 UTC
Author: rakuco
Date: Sun May 19 13:26:55 2013
New Revision: 318521
URL: http://svnweb.freebsd.org/changeset/ports/318521

Log:
  Update to 1.4.9.
  
  PR:		ports/178737
  Submitted by:	Veniamin Gvozdikov <g.veniamin@googlemail.com> (maintainer)

Deleted:
  head/databases/tarantool/files/patch-doc_man_CMakeLists.txt
Modified:
  head/databases/tarantool/Makefile
  head/databases/tarantool/distinfo
  head/databases/tarantool/files/patch-src_CMakeLists.txt
  head/databases/tarantool/pkg-plist

Modified: head/databases/tarantool/Makefile
==============================================================================
--- head/databases/tarantool/Makefile	Sun May 19 12:51:48 2013	(r318520)
+++ head/databases/tarantool/Makefile	Sun May 19 13:26:55 2013	(r318521)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	tarantool
-PORTVERSION=	1.4.8
-PORTREVISION=	2
+PORTVERSION=	1.4.9
 CATEGORIES=	databases
 MASTER_SITES=	http://tarantool.org/dist/
 DISTNAME=	${PORTNAME}-${PORTVERSION}-${TR_REV}-src
@@ -13,7 +12,7 @@ COMMENT=	High performance key/value stor
 
 LICENSE=	BSD
 
-TR_REV=		72-g277010b
+TR_REV=		45-g2f7b3f9
 USES=		cmake gettext:build
 USE_GCC=	4.6+
 USE_GMAKE=	yes
@@ -22,6 +21,7 @@ USE_PERL5=	yes
 USE_RC_SUBR=	${PORTNAME}
 SUB_FILES=	pkg-message
 MAN1=		tarantool_box.1
+CMAKE_ARGS=	-DCMAKE_MAN_DIR=man/man1
 
 OPTIONS_DEFINE=	CLIENT DEBUG STATIC
 CLIENT_DESC=	Enable client
@@ -46,6 +46,7 @@ CMAKE_ARGS+=	-DCMAKE_BUILD_TYPE=RelWithD
 .endif
 
 .if ${PORT_OPTIONS:MSTATIC}
+LIB_DEPENDS+=	iconv:${PORTSDIR}/converters/iconv
 CMAKE_ARGS+=	-DENABLE_STATIC=true
 .endif
 

Modified: head/databases/tarantool/distinfo
==============================================================================
--- head/databases/tarantool/distinfo	Sun May 19 12:51:48 2013	(r318520)
+++ head/databases/tarantool/distinfo	Sun May 19 13:26:55 2013	(r318521)
@@ -1,2 +1,2 @@
-SHA256 (tarantool-1.4.8-72-g277010b-src.tar.gz) = ff19a272d912947fb4d56d4bec3986681a3fad3091c1bb0504a7ea5dc38f4330
-SIZE (tarantool-1.4.8-72-g277010b-src.tar.gz) = 2268177
+SHA256 (tarantool-1.4.9-45-g2f7b3f9-src.tar.gz) = 45c37824c0f2cef8746523347ba727ced98e8c21eec17e11729d6ff38d1f7bbd
+SIZE (tarantool-1.4.9-45-g2f7b3f9-src.tar.gz) = 2772012

Modified: head/databases/tarantool/files/patch-src_CMakeLists.txt
==============================================================================
--- head/databases/tarantool/files/patch-src_CMakeLists.txt	Sun May 19 12:51:48 2013	(r318520)
+++ head/databases/tarantool/files/patch-src_CMakeLists.txt	Sun May 19 13:26:55 2013	(r318521)
@@ -1,13 +1,22 @@
---- src/CMakeLists.txt.orig	2012-12-11 02:19:57.157548371 +0400
-+++ src/CMakeLists.txt	2012-12-11 02:23:55.400718104 +0400
-@@ -155,6 +155,10 @@
+--- src/CMakeLists.txt.orig	2013-05-18 07:08:17.087914237 +0000
++++ src/CMakeLists.txt	2013-05-18 10:23:24.584910099 +0000
+@@ -138,6 +138,10 @@
      set (common_libraries ${common_libraries} dl)
  endif()
  
-+if (NOT LINUX)
-+    set (common_libraries ${common_libraries} intl) # if used not GNU libc, depended by gettext
++if (TARGET_OS_FREEBSD)
++    set (common_libraries ${common_libraries} intl)
 +endif()
 +
- if (ENABLE_GCOV)
-     set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${GCOV_C_FLAGS}")
-     set (LDFLAGS "${LDFLAGS} ${GCOV_LDFLAGS}")
+ if (ENABLE_BACKTRACE AND HAVE_BFD)
+     set (common_libraries ${common_libraries} bfd)
+     if (NOT TARGET_OS_DARWIN)
+@@ -145,7 +149,7 @@
+     endif()
+     if (ENABLE_STATIC OR TARGET_OS_FREEBSD)
+         include (FindZLIB)
+-        set (common_libraries ${common_libraries} ${ZLIB_LIBRARIES})
++        set (common_libraries ${common_libraries} ${ZLIB_LIBRARIES} iconv intl)
+     endif()
+ endif()
+ 

Modified: head/databases/tarantool/pkg-plist
==============================================================================
--- head/databases/tarantool/pkg-plist	Sun May 19 12:51:48 2013	(r318520)
+++ head/databases/tarantool/pkg-plist	Sun May 19 13:26:55 2013	(r318521)
@@ -47,7 +47,7 @@ lib/libtarantoolsql.so
 lib/libtarantool.so.1.1
 lib/libtarantoolrpl.a
 lib/libtarantool.so
-%%DOCSDIR%%/README
+%%DOCSDIR%%/README.md
 %%DOCSDIR%%/box-protocol.txt
 %%DOCSDIR%%/LICENSE
 @dirrm %%DOCSDIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 2 Raphael Kubo da Costa freebsd_committer 2013-05-19 14:27:04 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2013-07-10 09:16:03 UTC
Author: rakuco
Date: Wed Jul 10 08:15:49 2013
New Revision: 322628
URL: http://svnweb.freebsd.org/changeset/ports/322628

Log:
  Update CMake to 2.8.11.2.
  
  PR:		ports/178737

Deleted:
  head/devel/cmake/files/patch-Modules_FindJava.cmake
Modified:
  head/devel/cmake-gui/Makefile
  head/devel/cmake-modules/pkg-plist
  head/devel/cmake/Makefile
  head/devel/cmake/distinfo
  head/devel/cmake/files/patch-Modules_FindQt4.cmake

Modified: head/devel/cmake-gui/Makefile
==============================================================================
--- head/devel/cmake-gui/Makefile	Wed Jul 10 07:56:19 2013	(r322627)
+++ head/devel/cmake-gui/Makefile	Wed Jul 10 08:15:49 2013	(r322628)
@@ -1,7 +1,7 @@
 # $FreeBSD$
 
 PORTNAME=	cmake
-PORTVERSION=	2.8.10.2
+PORTVERSION=	2.8.11.2
 CATEGORIES=	devel
 MASTER_SITES=	http://www.cmake.org/files/v2.8/
 PKGNAMESUFFIX=	-gui

Modified: head/devel/cmake-modules/pkg-plist
==============================================================================
--- head/devel/cmake-modules/pkg-plist	Wed Jul 10 07:56:19 2013	(r322627)
+++ head/devel/cmake-modules/pkg-plist	Wed Jul 10 08:15:49 2013	(r322628)
@@ -95,6 +95,7 @@
 %%DATADIR%%/Modules/CMakeUnixFindMake.cmake
 %%DATADIR%%/Modules/CMakeVS10FindMake.cmake
 %%DATADIR%%/Modules/CMakeVS11FindMake.cmake
+%%DATADIR%%/Modules/CMakeVS12FindMake.cmake
 %%DATADIR%%/Modules/CMakeVS6BackwardCompatibility.cmake
 %%DATADIR%%/Modules/CMakeVS6FindMake.cmake
 %%DATADIR%%/Modules/CMakeVS71FindMake.cmake
@@ -124,6 +125,7 @@
 %%DATADIR%%/Modules/CPackNSIS.cmake
 %%DATADIR%%/Modules/CPackPackageMaker.cmake
 %%DATADIR%%/Modules/CPackRPM.cmake
+%%DATADIR%%/Modules/CPackWIX.cmake
 %%DATADIR%%/Modules/CPackZIP.cmake
 %%DATADIR%%/Modules/CTest.cmake
 %%DATADIR%%/Modules/CTestScriptMode.cmake
@@ -199,6 +201,9 @@
 %%DATADIR%%/Modules/Compiler/SunPro-C.cmake
 %%DATADIR%%/Modules/Compiler/SunPro-CXX.cmake
 %%DATADIR%%/Modules/Compiler/SunPro-Fortran.cmake
+%%DATADIR%%/Modules/Compiler/TI-ASM.cmake
+%%DATADIR%%/Modules/Compiler/TI-C.cmake
+%%DATADIR%%/Modules/Compiler/TI-CXX.cmake
 %%DATADIR%%/Modules/Compiler/TinyCC-C.cmake
 %%DATADIR%%/Modules/Compiler/VisualAge-C.cmake
 %%DATADIR%%/Modules/Compiler/VisualAge-CXX.cmake
@@ -219,6 +224,8 @@
 %%DATADIR%%/Modules/DeployQt4.cmake
 %%DATADIR%%/Modules/Documentation.cmake
 %%DATADIR%%/Modules/DummyCXXFile.cxx
+%%DATADIR%%/Modules/ExternalData.cmake
+%%DATADIR%%/Modules/ExternalData_config.cmake.in
 %%DATADIR%%/Modules/ExternalProject.cmake
 %%DATADIR%%/Modules/FLTKCompatibility.cmake
 %%DATADIR%%/Modules/FeatureSummary.cmake
@@ -270,6 +277,7 @@
 %%DATADIR%%/Modules/FindHTMLHelp.cmake
 %%DATADIR%%/Modules/FindHg.cmake
 %%DATADIR%%/Modules/FindITK.cmake
+%%DATADIR%%/Modules/FindIcotool.cmake
 %%DATADIR%%/Modules/FindImageMagick.cmake
 %%DATADIR%%/Modules/FindJNI.cmake
 %%DATADIR%%/Modules/FindJPEG.cmake
@@ -569,6 +577,8 @@
 %%DATADIR%%/Modules/Qt4Macros.cmake
 %%DATADIR%%/Modules/RepositoryInfo.txt.in
 %%DATADIR%%/Modules/SelectLibraryConfigurations.cmake
+%%DATADIR%%/Modules/Squish4RunTestCase.bat
+%%DATADIR%%/Modules/Squish4RunTestCase.sh
 %%DATADIR%%/Modules/SquishRunTestCase.bat
 %%DATADIR%%/Modules/SquishRunTestCase.sh
 %%DATADIR%%/Modules/SquishTestScript.cmake
@@ -598,6 +608,7 @@
 %%DATADIR%%/Modules/Use_wxWindows.cmake
 %%DATADIR%%/Modules/UsewxWidgets.cmake
 %%DATADIR%%/Modules/VTKCompatibility.cmake
+%%DATADIR%%/Modules/WIX.template.in
 %%DATADIR%%/Modules/WriteBasicConfigVersionFile.cmake
 %%DATADIR%%/Modules/ecos_clean.cmake
 %%DATADIR%%/Modules/exportheader.cmake.in

Modified: head/devel/cmake/Makefile
==============================================================================
--- head/devel/cmake/Makefile	Wed Jul 10 07:56:19 2013	(r322627)
+++ head/devel/cmake/Makefile	Wed Jul 10 08:15:49 2013	(r322628)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	cmake
-PORTVERSION=	2.8.10.2
+PORTVERSION=	2.8.11.2
 CATEGORIES=	devel
 MASTER_SITES=	http://www.cmake.org/files/v2.8/
 

Modified: head/devel/cmake/distinfo
==============================================================================
--- head/devel/cmake/distinfo	Wed Jul 10 07:56:19 2013	(r322627)
+++ head/devel/cmake/distinfo	Wed Jul 10 08:15:49 2013	(r322628)
@@ -1,2 +1,2 @@
-SHA256 (cmake-2.8.10.2.tar.gz) = ce524fb39da06ee6d47534bbcec6e0b50422e18b62abc4781a4ba72ea2910eb1
-SIZE (cmake-2.8.10.2.tar.gz) = 5768373
+SHA256 (cmake-2.8.11.2.tar.gz) = b32acb483afdd14339941c6e4ec25f633d916a7a472653a0b00838771a6c0562
+SIZE (cmake-2.8.11.2.tar.gz) = 5887016

Modified: head/devel/cmake/files/patch-Modules_FindQt4.cmake
==============================================================================
--- head/devel/cmake/files/patch-Modules_FindQt4.cmake	Wed Jul 10 07:56:19 2013	(r322627)
+++ head/devel/cmake/files/patch-Modules_FindQt4.cmake	Wed Jul 10 08:15:49 2013	(r322628)
@@ -1,15 +1,15 @@
---- Modules/FindQt4.cmake.orig	2012-11-06 21:41:36.000000000 +0200
-+++ Modules/FindQt4.cmake	2012-11-27 22:31:37.000000000 +0200
-@@ -497,7 +497,7 @@
- # check for qmake
- # Debian uses qmake-qt4
- # macports' Qt uses qmake-mac
--find_program(QT_QMAKE_EXECUTABLE NAMES qmake qmake4 qmake-qt4 qmake-mac
-+find_program(QT_QMAKE_EXECUTABLE NAMES qmake-qt4 qmake qmake4 qmake-mac
-   PATHS
-     ENV QTDIR
-     "[HKEY_CURRENT_USER\\Software\\Trolltech\\Versions\\${qt_install_version};InstallDir]"
-@@ -690,13 +690,7 @@
+--- Modules/FindQt4.cmake.orig	2013-06-22 14:07:09.000000000 +0300
++++ Modules/FindQt4.cmake	2013-06-22 14:07:22.000000000 +0300
+@@ -569,7 +569,7 @@
+ 
+ set(QT4_INSTALLED_VERSION_TOO_OLD FALSE)
+ 
+-set(_QT4_QMAKE_NAMES qmake qmake4 qmake-qt4 qmake-mac)
++set(_QT4_QMAKE_NAMES qmake-qt4 qmake qmake4 qmake-mac)
+ _qt4_find_qmake("${_QT4_QMAKE_NAMES}" QT_QMAKE_EXECUTABLE QTVERSION)
+ 
+ if (QT_QMAKE_EXECUTABLE AND QTVERSION)
+@@ -739,13 +739,7 @@
    # ask qmake for the plugins directory
    if (QT_LIBRARY_DIR AND NOT QT_PLUGINS_DIR  OR  QT_QMAKE_CHANGED)
      _qt4_query_qmake(QT_INSTALL_PLUGINS qt_plugins_dir)
@@ -24,7 +24,7 @@
    endif ()
  
    # ask qmake for the translations directory
-@@ -709,15 +703,7 @@
+@@ -758,15 +752,7 @@
    if (QT_LIBRARY_DIR AND NOT QT_IMPORTS_DIR OR QT_QMAKE_CHANGED)
      _qt4_query_qmake(QT_INSTALL_IMPORTS qt_imports_dir)
      if(qt_imports_dir)
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"